UbixOS V2 2.0

Macros
PBUF
Options (lwipopts.h)
Collaboration diagram for PBUF:

## Macros
#define | PBUF_LINK_ENCAPSULATION_HLEN 0u
#define | PBUF_LINK_HLEN (14 + ETH_PAD_SIZE)
#define | PBUF_POOL_BUFSIZE LWIP_MEM_ALIGN_SIZE(TCP_MSS+40+PBUF_LINK_ENCAPSULATION_HLEN+PBUF_LINK_HLEN)

## Detailed Description

## Macro Definition Documentation

## ◆ PBUF_LINK_ENCAPSULATION_HLEN

#define PBUF_LINK_ENCAPSULATION_HLEN 0u

PBUF_LINK_ENCAPSULATION_HLEN: the number of bytes that should be allocated for an additional encapsulation header before ethernet headers (e.g. 802.11)

Definition at line 1323 of file opt.h.

## ◆ PBUF_LINK_HLEN

#define PBUF_LINK_HLEN (14 + ETH_PAD_SIZE)

PBUF_LINK_HLEN: the number of bytes that should be allocated for a link level header. The default is 14, the standard value for Ethernet.

Definition at line 1314 of file opt.h.

## ◆ PBUF_POOL_BUFSIZE

#define PBUF_POOL_BUFSIZE LWIP_MEM_ALIGN_SIZE(TCP_MSS+40+PBUF_LINK_ENCAPSULATION_HLEN+PBUF_LINK_HLEN)

PBUF_POOL_BUFSIZE: the size of each pbuf in the pbuf pool. The default is designed to accommodate single full size TCP frame in one pbuf, including TCP_MSS, IP header, and link header.

Definition at line 1332 of file opt.h.